> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/optional-connector-input.md).

# optionalConnectorInput

Additional configurable input fields for connectors.

### Examples

```graphql
type OptionalConnectorInput {
  name: String
  credsTypes: [CredentialsType]
  inputType: InputTypes
  key: String
  ffKey: String
  value: String
}
```

### Fields

| Field                                                                                                              | Description                                       | Supported fields |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------- | ---------------- |
| name `String`                                                                                                      | Display name of the input field                   |                  |
| credsTypes [`[CredentialsType]`](/api-documentation/api-reference/api--connectors/types/enums/credentials-type.md) | Types of credentials this input is applicable for |                  |
| inputType [`InputTypes`](/api-documentation/api-reference/api--connectors/types/enums/input-types.md)              | Type of input field (text, checkbox, etc.)        |                  |
| key `String`                                                                                                       | Unique identifier for the input field             |                  |
| ffKey `String`                                                                                                     | Feature flag key associated with this input       |                  |
| value `String`                                                                                                     | Default or current value of the input             |                  |

### References

#### Fields with this object:

* [{} Connector.optionalInputFields](/api-documentation/api-reference/api--connectors/types/objects/connector.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/optional-connector-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
